BSON_ITER_OVERWRITE_DOUBLE(3)

NAME
bson_iter_overwrite_double - bson_iter_overwrite_double()

SYNOPSIS

void
bson_iter_overwrite_double (bson_iter_t *iter, double value);

PARAMETERS

•   iter: A bson_iter_t.

•   value: The new double value.

DESCRIPTION

The bson_iter_overwrite_double() function shall overwrite the contents of a BSON_TYPE_DOUBLE element in place.

This may only be done when the underlying bson document allows mutation.

It is a programming error to call this function when iter is not observing an element of type BSON_TYPE_DOUBLE.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc